summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Bilitch <hs@gentoo.org>2009-05-17 15:24:14 +0000
committerPeter Bilitch <hs@gentoo.org>2009-05-17 15:24:14 +0000
commit1500aea5fbd7ad598ce45e1a86dd8385510694b4 (patch)
tree71a7d31d40682c6af34e802f8b6647c48c1ee5d2 /games-fps/prey-data
parentgames-fps/prey: New ebuild for bug 270050, reviewed mainly by Tommy[D] (diff)
downloadsunrise-1500aea5fbd7ad598ce45e1a86dd8385510694b4.tar.gz
sunrise-1500aea5fbd7ad598ce45e1a86dd8385510694b4.tar.bz2
sunrise-1500aea5fbd7ad598ce45e1a86dd8385510694b4.zip
games-fps/prey-data: New ebuild for bug 270050 (game data), reviewed mainly by Tommy[D]
svn path=/sunrise/; revision=8558
Diffstat (limited to 'games-fps/prey-data')
-rw-r--r--games-fps/prey-data/ChangeLog8
-rw-r--r--games-fps/prey-data/Manifest3
-rw-r--r--games-fps/prey-data/metadata.xml5
-rw-r--r--games-fps/prey-data/prey-data-20090219.ebuild47
4 files changed, 63 insertions, 0 deletions
diff --git a/games-fps/prey-data/ChangeLog b/games-fps/prey-data/ChangeLog
new file mode 100644
index 000000000..f97f65a15
--- /dev/null
+++ b/games-fps/prey-data/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-fps/prey-data
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 17 May 2009; Robert Cernansky (HS) <openhs@users.sourceforge.net>
+ +prey-data-20090219.ebuild, +metadata.xml:
+ New ebuild for bug 270050 (game data), reviewed mainly by Tommy[D]
+
diff --git a/games-fps/prey-data/Manifest b/games-fps/prey-data/Manifest
new file mode 100644
index 000000000..bfc31ebd9
--- /dev/null
+++ b/games-fps/prey-data/Manifest
@@ -0,0 +1,3 @@
+EBUILD prey-data-20090219.ebuild 1054 RMD160 55ed98868b5cc543179c9303cb77abb402ff8ea3 SHA1 eae2dffa22b47b14013b04f1d02dce7e53d7c500 SHA256 256ad91902b625d14a5e58b4b76e8c6c4b9fa89df38e78e2ac6c814c5513e50b
+MISC ChangeLog 303 RMD160 70043a4cfe0eaa8b6a0c06422eccbe88be7ffd75 SHA1 7fc2d42a2c022e1109362c3e9f5d46fd3110228e SHA256 ef5a7cbecd90bbde0f9c898fac20113daf8204cdf8c3dacf381cb545ad9f79e4
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-fps/prey-data/metadata.xml b/games-fps/prey-data/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-fps/prey-data/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/games-fps/prey-data/prey-data-20090219.ebuild b/games-fps/prey-data/prey-data-20090219.ebuild
new file mode 100644
index 000000000..55b96b1fd
--- /dev/null
+++ b/games-fps/prey-data/prey-data-20090219.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit games
+
+DESCRIPTION="First person shooter from 3D Realms"
+HOMEPAGE="http://icculus.org/prey/ http://www.3drealms.com/prey/"
+SRC_URI=""
+
+LICENSE="PREY"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+PROPERTIES="interactive"
+RESTRICT="strip bindist"
+
+PDEPEND="games-fps/prey"
+
+S=${WORKDIR}
+
+GAMES_CHECK_LICENSE="yes"
+dir=${GAMES_PREFIX_OPT}/prey
+Ddir=${D}/${dir}
+
+
+src_install() {
+ cdrom_get_cds Setup/Data/Base/pak000.pk4 \
+ Setup/Data/Base/pak002.pk4 \
+ Setup/Data/Base/pak003.pk4
+
+ insinto "${dir}"/base
+
+ einfo "Copying files from Disk 1..."
+ doins ${CDROM_ROOT}/Setup/Data/Base/pak00{0,1}.pk4 \
+ || die "copying pak000 and pak001"
+ cdrom_load_next_cd
+ einfo "Copying files from Disk 2..."
+ doins ${CDROM_ROOT}/Setup/Data/Base/pak002.pk4 \
+ || die "copying pak002"
+ cdrom_load_next_cd
+ einfo "Copying files from Disk 3..."
+ doins ${CDROM_ROOT}/Setup/Data/Base/pak00{3,4}.pk4 \
+ || die "copying pak003 and pak004"
+
+ prepgamesdirs
+}